Package org.apache.nutch.fetcher

# Class FetcherOutputFormat

java.lang.Object
org.apache.hadoop.mapreduce.OutputFormat<K,V>
org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<Text,NutchWritable>
org.apache.nutch.fetcher.FetcherOutputFormat

public class FetcherOutputFormat extends FileOutputFormat<Text,NutchWritable>
Splits FetcherOutput entries into multiple map files.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

  `FileOutputFormat.Counter`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

  `BASE_OUTPUT_NAME, COMPRESS, COMPRESS_CODEC, COMPRESS_TYPE, OUTDIR, PART`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FetcherOutputFormat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkOutputSpecs(JobContext job)`
  `RecordWriter<Text,NutchWritable>`
  `getRecordWriter(TaskAttemptContext context)`

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

  `getCompressOutput, getDefaultWorkFile, getOutputCommitter, getOutputCompressorClass, getOutputName, getOutputPath, getPathForWorkFile, getUniqueFile, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputName, setOutputPath`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FetcherOutputFormat

    public FetcherOutputFormat()

- ## Method Details

  - ### checkOutputSpecs

    public void checkOutputSpecs(JobContext job) throws IOException
    Overrides:
      `checkOutputSpecs` in class `FileOutputFormat<Text,NutchWritable>`
    Throws:
      `IOException`

  - ### getRecordWriter

    public RecordWriter<Text,NutchWritable> getRecordWriter(TaskAttemptContext context) throws IOException
    Specified by:
      `getRecordWriter` in class `FileOutputFormat<Text,NutchWritable>`
    Throws:
      `IOException`